omUnbindAllCommands()

-- Player/Camera Controls --
omBindCommand(COM_MOUSELEFT,        "DC_HX")
omBindCommand(COM_MOUSERIGHT,       "DC_HX")
omBindCommand(COM_LOOKUP,           "DC_HY")
omBindCommand(COM_LOOKDOWN,         "DC_HY")

omBindCommand(COM_FORWARD,          "DC_Y")
omBindCommand(COM_BACKWARD,         "DC_A")

omBindCommand(COM_STRAFELEFT,       "DC_X")
omBindCommand(COM_STRAFERIGHT,      "DC_B")

omBindCommand(COM_JUMP,             "DC_TLEFT")
omBindCommand(COM_CHUTE,            "DC_TLEFT")
omBindCommand(COM_SHOOT,            "DC_TRIGHT")
omBindCommand(COM_MELEE,            "DC_TRIGHT")
omBindCommand(COM_JET,              "DC_TLEFT")

-- Max's Inventory --
omBindCommand(COM_INVENABLE,        "DC_UP")
omBindCommand(COM_INVDISABLE,       "DC_DOWN")
omBindCommand(COM_INVNEXT,          "DC_LEFT")
omBindCommand(COM_INVPREV,          "DC_RIGHT")
omBindCommand(COM_INVCOMBINE,       "DC_TRIGHT")
omBindCommand(COM_DOCINVUP,         "DC_UP")
omBindCommand(COM_DOCINVDOWN,       "DC_DOWN")
omBindCommand(COM_DOCINVENLEFT,     "DC_LEFT")
omBindCommand(COM_DOCINVENRIGHT,    "DC_RIGHT")

-- Sniper --
omBindCommand(COM_SMTOGGLE,         "DC_DOWN")
omBindCommand(COM_SMSHOOT,          "DC_TRIGHT")
omBindCommand(COM_SMSTRAFELEFT,     "DC_X")
omBindCommand(COM_SMSTRAFERIGHT,    "DC_B")
omBindCommand(COM_SMTURNLEFT,       "DC_HX")
omBindCommand(COM_SMTURNRIGHT,      "DC_HX")
omBindCommand(COM_SMZOOMIN,         "DC_Y")
omBindCommand(COM_SMZOOMOUT,        "DC_A")
omBindCommand(COM_SMLOOKUP,         "DC_HY")
omBindCommand(COM_SMLOOKDOWN,       "DC_HY")

-- Minigames --
omBindCommand(COM_MINIUP,           "DC_Y")
omBindCommand(COM_MINIDOWN,         "DC_A")
omBindCommand(COM_MINILEFT,         "DC_X")
omBindCommand(COM_MINIRIGHT,        "DC_B")
omBindCommand(COM_MINIUP2,          "DC_UP")
omBindCommand(COM_MINIDOWN2,        "DC_DOWN")
omBindCommand(COM_MINILEFT2,        "DC_LEFT")
omBindCommand(COM_MINIRIGHT2,       "DC_RIGHT")

-- Menu --
omBindCommand(COM_PAUSE,            "DC_START")
omBindCommand(COM_MENUUP,           "DC_UP")
omBindCommand(COM_MENUDOWN,         "DC_DOWN")
omBindCommand(COM_MENURIGHT,        "DC_RIGHT")
omBindCommand(COM_MENULEFT,         "DC_LEFT")
omBindCommand(COM_MENUSELECT,       "DC_A")
omBindCommand(COM_MENUCANCEL,       "DC_B")
omBindCommand(COM_MENUCANCEL2,      "DC_START")
omBindCommand(COM_MENUHIDECOMBO1,   "DC_X")
omBindCommand(COM_MENUHIDECOMBO2,   "DC_Y")
omBindCommand(COM_MENUHIDECOMBOUP1, "DC_X")
omBindCommand(COM_MENUHIDECOMBOUP2, "DC_Y")
omBindCommand(COM_ABORTMOVIE,       "DC_B")

-- Cheats --
omBindCommand(COM_CHEATEN1,         "DC_TLEFT")
omBindCommand(COM_CHEATEN2,         "DC_TRIGHT")
omBindCommand(COM_CHEATA,           "DC_A")
omBindCommand(COM_CHEATB,           "DC_B")
omBindCommand(COM_CHEATX,           "DC_X")
omBindCommand(COM_CHEATY,           "DC_Y")


$if 1
-- Debug --
omBindCommand(COM_DEBUGMENUTOG,     "DC2_START")
omBindCommand(COM_MATRIXMODE,       "DC2_A")
omBindCommand(COM_JETCHEAT,         "DC2_Y")
omBindCommand(COM_TURBO,            "DC2_X")
omBindCommand(COM_BRIGHTNESS,       "DC2_HY")
--omBindCommand(COM_SCREENSHOT,       "DC2_TLEFT")

-- Debug Camera Controls --
omBindCommand(COM_LOOKLEFT,         "DC2_RIGHT")
omBindCommand(COM_LOOKRIGHT,        "DC2_LEFT")
omBindCommand(COM_CAMZOOMIN,        "DC2_TRIGHT")
omBindCommand(COM_CAMZOOMOUT,       "DC2_TLEFT")
omBindCommand(COM_RAISEUP,          "DC2_UP")
omBindCommand(COM_RAISEDOWN,        "DC2_DOWN")

omBindCommand(COM_MALLOCSTATS,  	"DC2_B")

$end

$if 1
-- Varview --
omBindCommand(COM_VVOFF,            "DC_START")
omBindCommand(COM_VVREFRESH,        "DC_RIGHT")
omBindCommand(COM_VVUP,             "DC_UP")
omBindCommand(COM_VVDN,             "DC_DOWN")
omBindCommand(COM_VVPU,             "DC_Y")
omBindCommand(COM_VVPD,             "DC_X")
omBindCommand(COM_VVEX,             "DC_RIGHT")
omBindCommand(COM_VVSH,             "DC_LEFT")
$end


-- Axis Calibration --
omConfigureAxis(AXIS_SMMOUSELEFTRIGHT,  80, 2.5, 0)
omConfigureAxis(AXIS_SMLOOKUPDOWN,      80, 2.5, 0)
omConfigureAxis(AXIS_MOUSELEFTRIGHT,    80, 2.2, 0)
